unit u_generate;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  Tf_generate = class(TForm)
    lb_properties: TListBox;
    chk_properties: TCheckBox;
    chk_methods: TCheckBox;
    chk_events: TCheckBox;
    lb_events: TListBox;
    btn_ok: TBitBtn;
    btn_cancel: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure btn_okClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  f_generate: Tf_generate;

implementation

uses u_main;
{$R *.DFM}

procedure Tf_generate.btn_okClick(Sender: TObject);
var prop_name_tmp      :array[1..max_propcount] of string[50];
    prop_type_tmp      :array[1..max_propcount] of string[50];
    prop_count_tmp     :integer;
    event_name_tmp     :array[1..max_eventcount] of string[50];
    event_type_tmp     :array[1..max_eventcount] of string[50];
    event_count_tmp    :integer;

    i,j                :integer;

begin

  if not chk_properties.Checked then
    u_main.prop_count:=0;
  if not chk_methods.Checked then
    u_main.method_count:=0;
  if not chk_events.Checked then
    u_main.event_count:=0;

  prop_count_tmp:=0;
  for i:=0 to lb_properties.Items.Count-1 do
  begin
    if not lb_properties.selected[i] then
    begin
      inc(prop_count_tmp);
      prop_name_tmp[prop_count_tmp]:=prop_name[i+1];
      prop_type_tmp[prop_count_tmp]:=prop_type[i+1];
    end;
  end;
  prop_count:=prop_count_tmp;
  for i:=1 to prop_count_tmp do
  begin
    prop_name[i]:=prop_name_tmp[i];
    prop_type[i]:=prop_type_tmp[i];
  end;

  event_count_tmp:=0;
  for i:=0 to lb_events.Items.Count-1 do
  begin
    if not lb_events.selected[i] then
    begin
      inc(event_count_tmp);
      event_name_tmp[event_count_tmp]:=event_name[i+1];
      event_type_tmp[event_count_tmp]:=event_type[i+1];
    end;
  end;
  event_count:=event_count_tmp;
  for i:=1 to event_count_tmp do
  begin
    event_name[i]:=event_name_tmp[i];
    event_type[i]:=event_type_tmp[i];
  end;

  f_main.write_main_page;
  f_main.write_property_list;
  f_main.write_method_list;
  f_main.write_event_list;

  f_main.write_properties;
  f_main.write_methods;
  f_main.write_events;

end;

procedure Tf_generate.FormCreate(Sender: TObject);
begin
  lb_properties.Clear;
  lb_events.clear;
end;

end.
