unit u_options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  Tf_options = class(TForm)
    pc_options: TPageControl;
    ts_general: TTabSheet;
    ts_windows: TTabSheet;
    ts_templates: TTabSheet;
    btn_ok: TButton;
    btn_cancel: TButton;
    gb_copyright: TGroupBox;
    lb_helpfile: TLabel;
    e_helpfile: TEdit;
    Label2: TLabel;
    e_helptitle: TEdit;
    Label1: TLabel;
    Label3: TLabel;
    e_copyright_display: TEdit;
    e_copyright_print: TEdit;
    btn_helpfile: TButton;
    gb_mainwindow: TGroupBox;
    Label4: TLabel;
    e_mainw_title: TEdit;
    Label5: TLabel;
    e_mainw_comment: TEdit;
    gb_propertywindow: TGroupBox;
    Label6: TLabel;
    Label7: TLabel;
    e_propw_title: TEdit;
    e_propw_comment: TEdit;
    OpenDialog: TOpenDialog;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    e_templ_prop: TEdit;
    e_templ_method: TEdit;
    btn_templ_prop: TButton;
    btn_templ_method: TButton;
    e_templ_desc: TEdit;
    btn_templ_desc: TButton;
    Label11: TLabel;
    e_rtffile: TEdit;
    btn_rtffile: TButton;
    ts_rtf_templates: TTabSheet;
    Label12: TLabel;
    e_prop_list: TEdit;
    e_prop_page: TEdit;
    btn_prop_list: TButton;
    btn_prop_page: TButton;
    Label13: TLabel;
    Label14: TLabel;
    e_method_list: TEdit;
    e_method_page: TEdit;
    Label15: TLabel;
    btn_method_page: TButton;
    btn_method_list: TButton;
    Label16: TLabel;
    Label17: TLabel;
    e_event_list: TEdit;
    e_event_page: TEdit;
    btn_event_page: TButton;
    btn_event_list: TButton;
    Label18: TLabel;
    e_main_page: TEdit;
    Button1: TButton;
    ts_helpcompiler: TTabSheet;
    Label19: TLabel;
    e_helpcompiler: TEdit;
    btn_helpcompiler: TButton;
    procedure btn_helpfileClick(Sender: TObject);
    procedure btn_rtffileClick(Sender: TObject);
    procedure btn_templ_propClick(Sender: TObject);
    procedure btn_templ_methodClick(Sender: TObject);
    procedure btn_templ_descClick(Sender: TObject);
    procedure btn_prop_listClick(Sender: TObject);
    procedure btn_prop_pageClick(Sender: TObject);
    procedure btn_method_listClick(Sender: TObject);
    procedure btn_method_pageClick(Sender: TObject);
    procedure btn_event_listClick(Sender: TObject);
    procedure btn_event_pageClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure btn_helpcompilerClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  f_options: Tf_options;

implementation

{$R *.DFM}

procedure Tf_options.btn_helpfileClick(Sender: TObject);
begin
  opendialog.Title:='Open Help file';
  OpenDialog.FilterIndex:=1;
  if OpenDialog.execute then
  begin
    e_helpfile.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_rtffileClick(Sender: TObject);
begin
  opendialog.Title:='Open RTF file';
  OpenDialog.FilterIndex:=2;
  if OpenDialog.execute then
  begin
    e_rtffile.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_templ_propClick(Sender: TObject);
begin
  opendialog.Title:='Open Property Template';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_templ_prop.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_templ_methodClick(Sender: TObject);
begin
  opendialog.Title:='Open Method Template';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_templ_method.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_templ_descClick(Sender: TObject);
begin
  opendialog.Title:='Open Description Template';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_templ_desc.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_prop_listClick(Sender: TObject);
begin
  opendialog.Title:='Open Property List file';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_prop_list.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_prop_pageClick(Sender: TObject);
begin
  opendialog.Title:='Open Property Page file';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_prop_page.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_method_listClick(Sender: TObject);
begin
  opendialog.Title:='Open Method List file';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_method_list.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_method_pageClick(Sender: TObject);
begin
  opendialog.Title:='Open Method Page file';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_method_page.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_event_listClick(Sender: TObject);
begin
  opendialog.Title:='Open Event List file';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_event_list.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_event_pageClick(Sender: TObject);
begin
  opendialog.Title:='Open Event Page file';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_event_page.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.Button1Click(Sender: TObject);
begin
  opendialog.Title:='Open Main Page file';
  OpenDialog.FilterIndex:=3;
  if OpenDialog.execute then
  begin
    e_main_page.text:=OpenDialog.filename;
  end;
end;

procedure Tf_options.btn_helpcompilerClick(Sender: TObject);
begin
  opendialog.Title:='Find Help Compiler';
  OpenDialog.FilterIndex:=4;
  if OpenDialog.execute then
  begin
    e_helpcompiler.text:=OpenDialog.filename;
  end;
end;

end.
